#! /bin/sh
# Shell script per convertire un file linguaggio di analog in uno fwAnalog.
# Uso:	mklangfile.it.sh {infile} [> outfile]

cat $1 \
	| sed 's/richiesta/pacchetto bloccato/g' \
	| sed 's/host virtuale/interfaccia/g' \
	| sed 's/directory/pacchetto bloccato/g' \
	| sed 's/directory/pacchetti bloccati/g' \
	| sed 's/^URL/porta sorgente/g' \
	| sed 's/Statistiche del Web Server per/Statistiche di blocco per il tuo firewall, create da/g' \
	| sed 's/Mese con maggior traffico:/Mese con il maggior numero di pacchetti bloccati:/g' \
	| sed 's/Settimana con maggior traffico: quella che inizia il/Settimana con il maggior numero di pacchetti bloccati:/g' \
	| sed 's/Giorno con maggior traffico:/Giorno con il maggior numero di pacchetti bloccati:/g' \
	| sed 's/Ora con maggior traffico:/Ora con il maggior numero di pacchetti bloccati:/g' \
	| sed "s/Quarto d\'ora con maggior traffico:/Quarto d\'ora con il maggior numero di pacchetti bloccati:/g" \
	| sed 's/Cinque minuti con maggior traffico:/Cinque minuti col maggior numero di pacchetti bloccati:/g' \
	| sed 's/host virtuali/Interfaccia/g' \
	| sed 's/host virtuale/Interfaccia/g' \
	| sed 's/Resoconto host/Resoconto host pacchetti sorgente/g' \
	| sed 's/Resoconto Directory/Resoconto pacchetti bloccati/g' \
	| sed 's/Resoconto provenienze richieste/resoconto porte sorgente/g' \
	| sed 's/URL di provenienza/porta sorgente/g' \
	| sed 's/Resoconto tipi di file/Resoconto tipi di pacchetti/g' \
	| sed 's/Sommario Browser/Sommario MAC Address/g' \
	| sed 's/browser/MAC Address/g' \
	| sed 's/browser/MAC Address/g' \
	| sed 's/Resoconto browser/MAC Address/g' \
	| sed 's/Richieste soddisfatte/Richieste bloccate/g' \
	| sed 's/richieste soddisfatte/richieste bloccate/g' \
	| sed 's/Host distinti serviti/Host distinti bloccati/g' \
	| sed 's/Registrazioni nel log file non desiderate/Registrazioni nel log file non desiderate (per via del periodo di tempo, EXCLUDE etc.)/g' \
	| sed 's/Quantit totale di traffico/Grandezza totale di tutti i pacchetti scartati/g' \
	| sed 's/Traffico medio giornaliero/Media giornaliera pacchetti bloccati/g' \
	| sed 's/#rich/#blocchi/g' \
	| sed 's/%rich/#blocchi/g' \
	| sed 's/Resoconto utenti/Resoconto prefissi di log/g' \
	| sed 's/utente/prefisso di log/g' \
	| sed 's/utenti/prefissi di log/g' \
	| sed 's!^file!port/tipi ICMP!g' \
	| sed 's!Resoconto richieste!Port/Resoconto tipo ICMP!g' \
	| perl -pwe "s!^## This is a language file for analog!## Converted from $1 on `date` \\n## by mklangfile.it.sh (from the fwanalog distribution)\\n## More info: http://tud.at/programm/fwanalog/\\n##\\n## This is a language file for analog!"
